import { DateTime, type IMonths } from "@leight/i18n";
import { type IStoreProps } from "@leight/zustand";
import { type ComponentProps, type FC } from "react";
export type IMonthsStoreStoreProps = IStoreProps<{
    /**
     * Set months of the given date
     */
    monthsOf(input: DateTime): void;
    /**
     * Move to the current month
     */
    today(): void;
    prevYear(): void;
    nextYear(): void;
}, {
    /**
     * Calendar is computed based on an input, so it cannot be required
     * in the time of store creation.
     */
    readonly months: IMonths;
}>;
export declare const MonthsStoreProvider: import("@leight/context").IStoreProvider<IMonthsStoreStoreProps>, useMonths: import("@leight/context").IUseState<IMonthsStoreStoreProps>;
export interface IMonthsProviderProps extends Omit<ComponentProps<typeof MonthsStoreProvider>, "state"> {
    input?: DateTime;
}
export declare const MonthsProvider: FC<IMonthsProviderProps>;
//# sourceMappingURL=months.d.ts.map