import { DateTime, type IWeeks } from "@leight/i18n";
import { type IStoreProps } from "@leight/zustand";
import { type ComponentProps, type FC } from "react";
export type IWeeksStoreStoreProps = IStoreProps<{
    /**
     * Set weeks of the given date
     */
    weeksOf(input: DateTime): void;
    /**
     * Move to the current month
     */
    today(): void;
    /**
     * Change weeks to the previous month
     */
    prevMonth(): void;
    /**
     * Change weeks to the next month
     */
    nextMonth(): void;
    prevYear(): void;
    nextYear(): void;
}, {
    /**
     * Calendar is computed based on an input, so it cannot be required
     * in the time of store creation.
     */
    readonly weeks: IWeeks;
}>;
export declare const WeeksStoreProvider: import("@leight/context").IStoreProvider<IWeeksStoreStoreProps>, useWeeks: import("@leight/context").IUseState<IWeeksStoreStoreProps>;
export interface IWeeksProviderProps extends Omit<ComponentProps<typeof WeeksStoreProvider>, "state"> {
    input?: DateTime;
}
export declare const WeeksProvider: FC<IWeeksProviderProps>;
//# sourceMappingURL=weeks.d.ts.map