import { DateTime, type IYears } from "@leight/i18n";
import { type IStoreProps } from "@leight/zustand";
import { type ComponentProps, type FC } from "react";
export type IYearsStoreStoreProps = IStoreProps<{
    /**
     * Set years of the given date
     */
    yearsOf(input: DateTime): void;
    /**
     * Move to the current year
     */
    today(): void;
    prevYear(): void;
    nextYear(): void;
    prevYears(): void;
    nextYears(): void;
}, {
    /**
     * Calendar is computed based on an input, so it cannot be required
     * in the time of store creation.
     */
    readonly years: IYears;
}>;
export declare const YearsStoreProvider: import("@leight/context").IStoreProvider<IYearsStoreStoreProps>, useYears: import("@leight/context").IUseState<IYearsStoreStoreProps>;
export interface IYearsProviderProps extends Omit<ComponentProps<typeof YearsStoreProvider>, "state"> {
    input?: DateTime;
}
export declare const YearsProvider: FC<IYearsProviderProps>;
//# sourceMappingURL=years.d.ts.map