import { type InferSelectors } from "@leight/mantine";
import { Container } from "@mantine/core";
import { type ComponentProps, type FC, type ReactNode } from "react";
declare const useStyles: (params: void, options?: import("@mantine/core").UseStylesOptions<string> | undefined) => {
    classes: {
        calendar: string;
        calendarGrid: string;
        controlsGrid: string;
        controls: string;
        controlsLeft: string;
        controlsMiddle: string;
        controlsRight: string;
        controlsPrefix: string;
        controlsSuffix: string;
        header: string;
        cell: string;
        monthCell: string;
        yearCell: string;
        row: string;
        currentMonth: string;
        currentYear: string;
        currentWeek: string;
        currentDay: string;
        inRange: string;
        outOfRange: string;
    };
    cx: (...args: any) => string;
    theme: import("@mantine/core").MantineTheme;
};
export type ICalendarStyles = InferSelectors<typeof useStyles>;
export type ICalendarComponent = ((props: ICalendarComponent.IRenderProps) => ReactNode) | ReactNode;
export declare namespace ICalendarComponent {
    interface IRenderProps {
        classes: ICalendarStyles;
    }
}
export interface ICalendarShellProps extends Omit<ComponentProps<typeof Container>, "children"> {
    withControls?: boolean;
    controlsTopLeft?: ICalendarComponent;
    controlsTopMiddle?: ICalendarComponent;
    controlsTopRight?: ICalendarComponent;
    controlsBottomLeft?: ICalendarComponent;
    controlsBottomMiddle?: ICalendarComponent;
    controlsBottomRight?: ICalendarComponent;
    children: ICalendarComponent;
}
/**
 * Styled shell for Calendar.
 */
export declare const CalendarShell: FC<ICalendarShellProps>;
export {};
//# sourceMappingURL=CalendarShell.d.ts.map